<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (20) on Thu Apr 27 09:20:17 CEST 2023 -->
<title>Class Hierarchy</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-04-27">
<meta name="description" content="class tree">
<meta name="generator" content="javadoc/TreeWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="tree-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="nav-bar-cell1-rev">Tree</li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#tree">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
</div>
<span class="package-hierarchy-label">Package Hierarchies:</span>
<ul class="horizontal contents-list">
<li><a href="com/eoi/springwebsecurity/package-tree.html">com.eoi.springwebsecurity</a>, </li>
<li><a href="com/eoi/springwebsecurity/coreapp/controllers/package-tree.html">com.eoi.springwebsecurity.coreapp.controllers</a>, </li>
<li><a href="com/eoi/springwebsecurity/coreapp/dto/package-tree.html">com.eoi.springwebsecurity.coreapp.dto</a>, </li>
<li><a href="com/eoi/springwebsecurity/coreapp/entities/package-tree.html">com.eoi.springwebsecurity.coreapp.entities</a>, </li>
<li><a href="com/eoi/springwebsecurity/coreapp/error/package-tree.html">com.eoi.springwebsecurity.coreapp.error</a>, </li>
<li><a href="com/eoi/springwebsecurity/coreapp/repositories/package-tree.html">com.eoi.springwebsecurity.coreapp.repositories</a>, </li>
<li><a href="com/eoi/springwebsecurity/filemanagement/controllers/package-tree.html">com.eoi.springwebsecurity.filemanagement.controllers</a>, </li>
<li><a href="com/eoi/springwebsecurity/filemanagement/entities/package-tree.html">com.eoi.springwebsecurity.filemanagement.entities</a>, </li>
<li><a href="com/eoi/springwebsecurity/filemanagement/exception/package-tree.html">com.eoi.springwebsecurity.filemanagement.exception</a>, </li>
<li><a href="com/eoi/springwebsecurity/filemanagement/models/package-tree.html">com.eoi.springwebsecurity.filemanagement.models</a>, </li>
<li><a href="com/eoi/springwebsecurity/filemanagement/repositories/package-tree.html">com.eoi.springwebsecurity.filemanagement.repositories</a>, </li>
<li><a href="com/eoi/springwebsecurity/filemanagement/services/package-tree.html">com.eoi.springwebsecurity.filemanagement.services</a>, </li>
<li><a href="com/eoi/springwebsecurity/security/config/package-tree.html">com.eoi.springwebsecurity.security.config</a>, </li>
<li><a href="com/eoi/springwebsecurity/security/controllers/package-tree.html">com.eoi.springwebsecurity.security.controllers</a>, </li>
<li><a href="com/eoi/springwebsecurity/security/service/package-tree.html">com.eoi.springwebsecurity.security.service</a>, </li>
<li><a href="com/eoi/springwebsecurity/security/userdetails/package-tree.html">com.eoi.springwebsecurity.security.userdetails</a>, </li>
<li><a href="com/eoi/springwebsecurity/streaming/controller/package-tree.html">com.eoi.springwebsecurity.streaming.controller</a>, </li>
<li><a href="com/eoi/springwebsecurity/streaming/services/package-tree.html">com.eoi.springwebsecurity.streaming.services</a>, </li>
<li><a href="com/eoi/springwebsecurity/websockets/config/package-tree.html">com.eoi.springwebsecurity.websockets.config</a>, </li>
<li><a href="com/eoi/springwebsecurity/websockets/controllers/package-tree.html">com.eoi.springwebsecurity.websockets.controllers</a>, </li>
<li><a href="com/eoi/springwebsecurity/websockets/messages/package-tree.html">com.eoi.springwebsecurity.websockets.messages</a></li>
</ul>
<section class="hierarchy">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li class="circle">java.lang.<a href="https://docs.oracle.com/en/java/javase/20/docs/api/java.base/java/lang/Object.html" class="type-name-link external-link" title="class or interface in java.lang">Object</a>
<ul>
<li class="circle">com.eoi.springwebsecurity.security.userdetails.<a href="com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html" class="type-name-link" title="class in com.eoi.springwebsecurity.security.userdetails">CustomUserDetails</a> (implements org.springframework.security.core.userdetails.UserDetails)</li>
<li class="circle">com.eoi.springwebsecurity.filemanagement.controllers.<a href="com/eoi/springwebsecurity/filemanagement/controllers/DatabaseFileUploadController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.controllers">DatabaseFileUploadController</a></li>
<li class="circle">com.eoi.springwebsecurity.filemanagement.services.<a href="com/eoi/springwebsecurity/filemanagement/services/DBFileStorageService.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.services">DBFileStorageService</a></li>
<li class="circle">com.eoi.springwebsecurity.coreapp.error.<a href="com/eoi/springwebsecurity/coreapp/error/DefaultErrorControllerAdvice.html" class="type-name-link" title="class in com.eoi.springwebsecurity.coreapp.error">DefaultErrorControllerAdvice</a></li>
<li class="circle">com.eoi.springwebsecurity.filemanagement.controllers.<a href="com/eoi/springwebsecurity/filemanagement/controllers/FileController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.controllers">FileController</a></li>
<li class="circle">com.eoi.springwebsecurity.filemanagement.entities.<a href="com/eoi/springwebsecurity/filemanagement/entities/FileDB.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.entities">FileDB</a></li>
<li class="circle">com.eoi.springwebsecurity.filemanagement.models.<a href="com/eoi/springwebsecurity/filemanagement/models/FileInfo.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.models">FileInfo</a></li>
<li class="circle">com.eoi.springwebsecurity.filemanagement.services.<a href="com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageServiceImpl.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageServiceImpl</a> (implements com.eoi.springwebsecurity.filemanagement.services.<a href="com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageService.html" title="interface in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageService</a>)</li>
<li class="circle">com.eoi.springwebsecurity.security.controllers.<a href="com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.security.controllers">ForgotPasswordController</a></li>
<li class="circle">com.eoi.springwebsecurity.websockets.messages.<a href="com/eoi/springwebsecurity/websockets/messages/Greeting.html" class="type-name-link" title="class in com.eoi.springwebsecurity.websockets.messages">Greeting</a></li>
<li class="circle">com.eoi.springwebsecurity.websockets.controllers.<a href="com/eoi/springwebsecurity/websockets/controllers/GreetingController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.websockets.controllers">GreetingController</a></li>
<li class="circle">com.eoi.springwebsecurity.websockets.messages.<a href="com/eoi/springwebsecurity/websockets/messages/HelloMessage.html" class="type-name-link" title="class in com.eoi.springwebsecurity.websockets.messages">HelloMessage</a></li>
<li class="circle">com.eoi.springwebsecurity.security.controllers.<a href="com/eoi/springwebsecurity/security/controllers/LoginController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.security.controllers">LoginController</a></li>
<li class="circle">com.eoi.springwebsecurity.coreapp.controllers.<a href="com/eoi/springwebsecurity/coreapp/controllers/MainController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.coreapp.controllers">MainController</a></li>
<li class="circle">com.eoi.springwebsecurity.websockets.messages.<a href="com/eoi/springwebsecurity/websockets/messages/PrivateMessage.html" class="type-name-link" title="class in com.eoi.springwebsecurity.websockets.messages">PrivateMessage</a></li>
<li class="circle">com.eoi.springwebsecurity.security.controllers.<a href="com/eoi/springwebsecurity/security/controllers/RegisterController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.security.controllers">RegisterController</a></li>
<li class="circle">org.springframework.web.servlet.mvc.method.annotation.ResponseEntityExceptionHandler (implements org.springframework.context.MessageSourceAware)
<ul>
<li class="circle">com.eoi.springwebsecurity.filemanagement.exception.<a href="com/eoi/springwebsecurity/filemanagement/exception/FileUploadExceptionAdvice.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.exception">FileUploadExceptionAdvice</a></li>
</ul>
</li>
<li class="circle">com.eoi.springwebsecurity.filemanagement.models.<a href="com/eoi/springwebsecurity/filemanagement/models/ResponseMessage.html" class="type-name-link" title="class in com.eoi.springwebsecurity.filemanagement.models">ResponseMessage</a></li>
<li class="circle">com.eoi.springwebsecurity.coreapp.entities.<a href="com/eoi/springwebsecurity/coreapp/entities/Role.html" class="type-name-link" title="class in com.eoi.springwebsecurity.coreapp.entities">Role</a></li>
<li class="circle">com.eoi.springwebsecurity.security.config.<a href="com/eoi/springwebsecurity/security/config/SecurityConfig.html" class="type-name-link" title="class in com.eoi.springwebsecurity.security.config">SecurityConfig</a></li>
<li class="circle">com.eoi.springwebsecurity.<a href="com/eoi/springwebsecurity/SpringWebSecurityApplication.html" class="type-name-link" title="class in com.eoi.springwebsecurity">SpringWebSecurityApplication</a> (implements org.springframework.boot.CommandLineRunner)</li>
<li class="circle">com.eoi.springwebsecurity.<a href="com/eoi/springwebsecurity/SpringWebSecurityApplicationTests.html" class="type-name-link" title="class in com.eoi.springwebsecurity">SpringWebSecurityApplicationTests</a></li>
<li class="circle">com.eoi.springwebsecurity.streaming.controller.<a href="com/eoi/springwebsecurity/streaming/controller/StreamingController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.streaming.controller">StreamingController</a></li>
<li class="circle">com.eoi.springwebsecurity.streaming.services.<a href="com/eoi/springwebsecurity/streaming/services/StreamingServiceImpl.html" class="type-name-link" title="class in com.eoi.springwebsecurity.streaming.services">StreamingServiceImpl</a> (implements com.eoi.springwebsecurity.streaming.services.<a href="com/eoi/springwebsecurity/streaming/services/StreamingService.html" title="interface in com.eoi.springwebsecurity.streaming.services">StreamingService</a>)</li>
<li class="circle">com.eoi.springwebsecurity.coreapp.entities.<a href="com/eoi/springwebsecurity/coreapp/entities/User.html" class="type-name-link" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a></li>
<li class="circle">com.eoi.springwebsecurity.security.service.<a href="com/eoi/springwebsecurity/security/service/UserDetailsServiceImpl.html" class="type-name-link" title="class in com.eoi.springwebsecurity.security.service">UserDetailsServiceImpl</a> (implements org.springframework.security.core.userdetails.UserDetailsService)</li>
<li class="circle">com.eoi.springwebsecurity.coreapp.dto.<a href="com/eoi/springwebsecurity/coreapp/dto/UserDto.html" class="type-name-link" title="class in com.eoi.springwebsecurity.coreapp.dto">UserDto</a></li>
<li class="circle">com.eoi.springwebsecurity.security.service.<a href="com/eoi/springwebsecurity/security/service/UserServiceImpl.html" class="type-name-link" title="class in com.eoi.springwebsecurity.security.service">UserServiceImpl</a> (implements com.eoi.springwebsecurity.security.service.<a href="com/eoi/springwebsecurity/security/service/UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a>)</li>
<li class="circle">com.eoi.springwebsecurity.streaming.controller.<a href="com/eoi/springwebsecurity/streaming/controller/VideoListController.html" class="type-name-link" title="class in com.eoi.springwebsecurity.streaming.controller">VideoListController</a></li>
<li class="circle">com.eoi.springwebsecurity.websockets.config.<a href="com/eoi/springwebsecurity/websockets/config/WebSocketConfig.html" class="type-name-link" title="class in com.eoi.springwebsecurity.websockets.config">WebSocketConfig</a> (implements org.springframework.web.socket.config.annotation.WebSocketMessageBrokerConfigurer)</li>
</ul>
</li>
</ul>
</section>
<section class="hierarchy">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li class="circle">com.eoi.springwebsecurity.filemanagement.services.<a href="com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageService.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageService</a></li>
<li class="circle">org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,<wbr>ID&gt; (also extends org.springframework.data.repository.ListCrudRepository&lt;T,<wbr>ID&gt;, org.springframework.data.repository.ListPagingAndSortingRepository&lt;T,<wbr>ID&gt;)
<ul>
<li class="circle">com.eoi.springwebsecurity.filemanagement.repositories.<a href="com/eoi/springwebsecurity/filemanagement/repositories/FileDBRepository.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.filemanagement.repositories">FileDBRepository</a></li>
<li class="circle">com.eoi.springwebsecurity.coreapp.repositories.<a href="com/eoi/springwebsecurity/coreapp/repositories/RoleRepository.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.coreapp.repositories">RoleRepository</a></li>
<li class="circle">com.eoi.springwebsecurity.coreapp.repositories.<a href="com/eoi/springwebsecurity/coreapp/repositories/UserRepository.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.coreapp.repositories">UserRepository</a></li>
</ul>
</li>
</ul>
</li>
<li class="circle">org.springframework.data.repository.Repository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.CrudRepository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.ListCrudRepository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,<wbr>ID&gt; (also extends org.springframework.data.repository.ListPagingAndSortingRepository&lt;T,<wbr>ID&gt;, org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li class="circle">com.eoi.springwebsecurity.filemanagement.repositories.<a href="com/eoi/springwebsecurity/filemanagement/repositories/FileDBRepository.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.filemanagement.repositories">FileDBRepository</a></li>
<li class="circle">com.eoi.springwebsecurity.coreapp.repositories.<a href="com/eoi/springwebsecurity/coreapp/repositories/RoleRepository.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.coreapp.repositories">RoleRepository</a></li>
<li class="circle">com.eoi.springwebsecurity.coreapp.repositories.<a href="com/eoi/springwebsecurity/coreapp/repositories/UserRepository.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.coreapp.repositories">UserRepository</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="circle">org.springframework.data.repository.PagingAndSortingRepository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.repository.ListPagingAndSortingRepository&lt;T,<wbr>ID&gt;
<ul>
<li class="circle">org.springframework.data.jpa.repository.JpaRepository&lt;T,<wbr>ID&gt; (also extends org.springframework.data.repository.ListCrudRepository&lt;T,<wbr>ID&gt;, org.springframework.data.repository.query.QueryByExampleExecutor&lt;T&gt;)
<ul>
<li class="circle">com.eoi.springwebsecurity.filemanagement.repositories.<a href="com/eoi/springwebsecurity/filemanagement/repositories/FileDBRepository.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.filemanagement.repositories">FileDBRepository</a></li>
<li class="circle">com.eoi.springwebsecurity.coreapp.repositories.<a href="com/eoi/springwebsecurity/coreapp/repositories/RoleRepository.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.coreapp.repositories">RoleRepository</a></li>
<li class="circle">com.eoi.springwebsecurity.coreapp.repositories.<a href="com/eoi/springwebsecurity/coreapp/repositories/UserRepository.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.coreapp.repositories">UserRepository</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="circle">com.eoi.springwebsecurity.streaming.services.<a href="com/eoi/springwebsecurity/streaming/services/StreamingService.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.streaming.services">StreamingService</a></li>
<li class="circle">com.eoi.springwebsecurity.security.service.<a href="com/eoi/springwebsecurity/security/service/UserService.html" class="type-name-link" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
